#!/bin/sh

# Copyright IBM Corp. 2004
#
# Notice: This script converts the security files in the Java 
# Development Kit (JDK) to Sun specific files.  This script is 
# for troubleshooting purposes only.  If you run Sun security 
# files only it might result in a system that is not supported 
# in the WebSphere Application Server environment and has many 
# restrictions.  This setup has not been fully tested and IBM 
# does not guarantee that the behavior is consistent with what
# has been tested.
#
# After running this script for testing purposes, return the system
# to a supported configuration by running the convertSecurityToIBM.sh
# script.

#Emit copyright info.
echo ""
echo "(C) COPYRIGHT International Business Machines Corp., 2004"
echo "The Java Virtual Machine (JVM) modification script used with WebSphere"
echo "Application Server for converting the JVM security layer to use"
echo "Sun components for Solaris and HP-UX for debugging purposes."

echo ""
echo "Verify that the server is stopped before running the replacement script."
echo "Ensure that the JAVA_HOME environment variable is set."
echo "Press any key to continue or ctrl-c to cancel."
read __KEY

echo ""
echo "Checking current configuration to verify that it contains IBM files..."
echo ""

# only perform this script if the count returned is > 0, else exit
__RESULT=`eval "${JAVA_HOME}/bin/jar -tvf "${JAVA_HOME}"/jre/lib/jsse.jar | grep "com/ibm" 2>&1 > /dev/null`     
__RESULT=$?

if [ 0 -eq ${__RESULT} ] ; then
    if [ ! -d "${JAVA_HOME}"/jre/lib/backup ] ; then
        echo "Error.  The Java Virtual Machine (JVM) does not contain a backup directory where the IBM security layer was stored."
        exit 1
    else
        echo ""
        echo "Backing up IBM files..."
        echo ""
        echo "Copying \""${JAVA_HOME}"/jre/lib/security/java.security "${JAVA_HOME}"/jre/lib/backup/java.security.ibm\""
        cp -f "${JAVA_HOME}"/jre/lib/security/java.security "${JAVA_HOME}"/jre/lib/backup/java.security.ibm
        echo "Copying \""${JAVA_HOME}"/jre/lib/jsse.jar "${JAVA_HOME}"/jre/lib/backup/jsse.jar.ibm\""
        cp -f "${JAVA_HOME}"/jre/lib/jsse.jar "${JAVA_HOME}"/jre/lib/backup/jsse.jar.ibm
        #echo "Copying \""${JAVA_HOME}"/jre/lib/rt.jar "${JAVA_HOME}"/jre/lib/backup/rt.jar.ibm\""
        #cp -f "${JAVA_HOME}"/jre/lib/rt.jar "${JAVA_HOME}"/jre/lib/backup/rt.jar.ibm

        echo ""
        echo "Restoring HP files..."
        echo ""
        #echo "Copying \""${JAVA_HOME}"/jre/lib/backup/rt.jar.HP "${JAVA_HOME}"/jre/lib/rt.jar\""
        #cp -f "${JAVA_HOME}"/jre/lib/backup/rt.jar.HP "${JAVA_HOME}"/jre/lib/rt.jar
        echo "Copying \""${JAVA_HOME}"/jre/lib/backup/jsse.jar.HP "${JAVA_HOME}"/jre/lib/jsse.jar\""
        cp -f "${JAVA_HOME}"/jre/lib/backup/jsse.jar.HP "${JAVA_HOME}"/jre/lib/jsse.jar
        echo "Copying \""${JAVA_HOME}"/jre/lib/backup/java.security.HP "${JAVA_HOME}"/jre/lib/security/java.security\""
        cp -f "${JAVA_HOME}"/jre/lib/backup/java.security.HP "${JAVA_HOME}"/jre/lib/security/java.security 
    fi
else
    echo "The Java Development Kit (JDK) file already contains the Sun security layer.  No adjustments have been made."
fi
exit 0
