#!/bin/sh
                  
# Copyright IBM Corp. 2004
#
# Notice: This script converts the security files in the Java 
# Development Kit (JDK) to IBM files. Execute this script after 
# running the convertSecurityToSun.sh script. Use this script 
# for troubleshooting purposes only.  To get a supported WebSphere 
# Application Server environment, convert the security files back 
# to IBM files using this script.

#Emit copyright info.
echo ""
echo "(C) COPYRIGHT International Business Machines Corp., 2004"
echo "The Java Virtual Machine (JVM) modification script used with"
echo "WebSphere Application Server for converting the JVM security"
echo "layer to use IBM components for Solaris and HP-UX."
echo ""

echo ""
echo "Verify that the server is stopped before running the replacement script."
echo "Ensure that the JAVA_HOME environment variable is set."
echo "Press any key to continue or ctrl-c to cancel."
read __KEY

echo ""         
echo "Checking current configuration to verify that it contains HP files..."
echo ""

__RESULT=`eval "${JAVA_HOME}/bin/jar -tvf "${JAVA_HOME}"/jre/lib/jsse.jar | grep "com/ibm" 2>&1 > /dev/null`     
__RESULT=$?

# only perform this script if the count returned is 0, else exit
if [ 1 -eq ${__RESULT} ] ; then
    if [ ! -d "${JAVA_HOME}"/jre/lib/backup ] ; then
        echo "Error.  The Java Virtual Machine (JVM) file does not contain a backup directory where the IBM security layer was stored."
        exit 1
    else
        echo ""
        echo "Backing up HP files..."
        echo ""
    
        echo "Copying \""${JAVA_HOME}"/jre/lib/security/java.security "${JAVA_HOME}"/jre/lib/backup/java.security.HP\""
        cp -f "${JAVA_HOME}"/jre/lib/security/java.security "${JAVA_HOME}"/jre/lib/backup/java.security.HP
        echo "Copying \""${JAVA_HOME}"/jre/lib/jsse.jar "${JAVA_HOME}"/jre/lib/backup/jsse.jar.HP\""
        cp -f "${JAVA_HOME}"/jre/lib/jsse.jar "${JAVA_HOME}"/jre/lib/backup/jsse.jar.HP 
        #echo "Copying \""${JAVA_HOME}"/jre/lib/rt.jar "${JAVA_HOME}"/jre/lib/backup/rt.jar.HP\""
        #cp -f "${JAVA_HOME}"/jre/lib/rt.jar "${JAVA_HOME}"/jre/lib/backup/rt.jar.HP

        echo ""
        echo "Restoring IBM files..."
        echo ""
        #echo "Copying \""${JAVA_HOME}"/jre/lib/backup/rt.jar.ibm "${JAVA_HOME}"/jre/lib/rt.jar\""
        #cp -f "${JAVA_HOME}"/jre/lib/backup/rt.jar.ibm "${JAVA_HOME}"/jre/lib/rt.jar
        echo "Copying \""${JAVA_HOME}"/jre/lib/backup/jsse.jar.ibm "${JAVA_HOME}"/jre/lib/jsse.jar\""
        cp -f "${JAVA_HOME}"/jre/lib/backup/jsse.jar.ibm "${JAVA_HOME}"/jre/lib/jsse.jar
        echo "Copying \""${JAVA_HOME}"/jre/lib/backup/java.security.ibm "${JAVA_HOME}"/jre/lib/security/java.security\""
        cp -f "${JAVA_HOME}"/jre/lib/backup/java.security.ibm "${JAVA_HOME}"/jre/lib/security/java.security 
    fi
else
    echo "The Java Development Kit (JDK) file already contains the IBM security layer.  No adjustments made."
fi
exit 0
